Ubuntu

skype: error while loading shared libraries: libXss.so.1: cannot open shared object file: No such file or directory

Reported by crtm on 2011-08-21
428
This bug affects 92 people
Affects Status Importance Assigned to Milestone
ia32-libs (Ubuntu)
Undecided
Unassigned

Bug Description

Solution: uninstall the 64-bit skype package from the Skype website, and install the skype package from the Canonical Partner repository using Software Center or apt-get.

Skype doesn't start.
---
Architecture: amd64
DistroRelease: Ubuntu 11.10
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release amd64 (20110427.1)
NonfreeKernelModules: nvidia
Package: skype 2.2.0.35-0natty1
PackageArchitecture: amd64
ProcEnviron:
 LANGUAGE=es_AR:es
 PATH=(custom, no user)
 LANG=es_AR.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 3.0.0-8.11-generic 3.0.1
Tags: oneiric running-unity
Uname: Linux 3.0.0-8-generic x86_64
UnreportableReason: Este no es un paquete oficial de Ubuntu
UpgradeStatus: Upgraded to oneiric on 2011-08-08 (12 days ago)
UserGroups: adm admin cdrom dialout lp lpadmin plugdev sambashare

crtm (carlosrtm) wrote :

after last update, skype dont start. The errror in terminal says: "skype: error while loading shared libraries: libXss.so.1: cannot open shared object file: No such file or directory"

please run apport-collect 830440

do you have libxss1 or ia32-libs installed?

Julian Taylor (jtaylor) wrote :

libxss1 and a few other libreries has been removed from ia32libs
you need to enable multiarch and install the 32 bit libraries:

echo foreign-architecture i386 | sudo tee /etc/dpkg/dpkg.cfg.d/multiarch

sudo apt-get install libxss1:i386 libqtcore4:i386 libqt4-dbus:i386

Sascha Teske (sascha-teske) wrote :

on oneiric i also had to install
sudo apt-get install libqtgui4:i386

Marc Deslauriers (mdeslaur) wrote :

The best way to get all the dependencies automatically installed on oneiric is to uninstall the amd64 skype package, and install the i386 one. That will pull in all the right i386 dependencies.

For Oneiric, there shouldn't be an amd64 package.

Changed in skype (Ubuntu):
status: New → Confirmed

apport information

tags: added: apport-collected oneiric running-unity
description: updated
crtm (carlosrtm) wrote :

I'm install the 32 bit libraries (recommended to Julian and Sacha) and work's for me:

echo foreign-architecture i386 | sudo tee /etc/dpkg/dpkg.cfg.d/multiarch

sudo apt-get install libxss1:i386 libqtcore4:i386 libqt4-dbus:i386
sudo apt-get install libqtgui4:i386

juan (juanjo836) wrote :

yup worked for me too

Rainer Rohde (rainer-rohde) wrote :

@crtm - this did it for me, too! Thanks for the tip.

description: updated
Steve Langasek (vorlon) wrote :

I'm not sure how this bug has been filed against skype in Ubuntu; there is no package for skype in Ubuntu, only in the partner repository.

The package in the partner repository will be updated to provide an i386-only package in oneiric; installing this package on amd64 will correctly pull in the 32-bit libraries as it does on i386 natively.

affects: skype (Ubuntu) → ia32-libs (Ubuntu)
Changed in ia32-libs (Ubuntu):
status: Confirmed → Won't Fix
crtm (carlosrtm) wrote :

Skype don't start safter update today to BETA1

Interminal:
skype
skype: error while loading shared libraries: libQtDBus.so.4: cannot open shared object file: No such file or directory

libqtdbus4-perl:i386:
 Depends: libqtcore4-perl pero no va a ser instalado
 Depends: perl pero no va a ser instalado
 Depends: perlapi-5.12.4
 Depends: libperl5.12 pero no va a ser instalado
 Depends: libqt4-dbus pero no va a ser instalado
 Depends: libqtcore4 pero no va a ser instalado
 Depends: libsmokeqtdbus4-3 pero no va a ser instalado

Type in terminal (recommended to Julian and Sacha) :

~$ echo foreign-architecture i386 | sudo tee /etc/dpkg/dpkg.cfg.d/multiarch

~$ sudo apt-get install libxss1:i386 libqtcore4:i386 libqt4-dbus:i386

And:

Reading package lists... Done
Building dependency tree
Reading state information... Done
libxss1:i386 ya está en su versión más reciente.
No se pudieron instalar algunos paquetes. Esto puede significar que
usted pidió una situación imposible o, si está usando la distribución
inestable, que algunos paquetes necesarios no han sido creados o han
sido movidos fuera de Incoming.
La siguiente información puede ayudar a resolver la situación:

Los siguientes paquetes tienen dependencias incumplidas:
 libqtcore4:i386 : Depends: libglib2.0-0:i386 (>= 2.22.0) pero no va a instalarse
E: Unable to correct problems, you have held broken packages.

Steve Langasek (vorlon) wrote :

> $ sudo apt-get install libxss1:i386 libqtcore4:i386 libqt4-dbus:i386

the command you should run is this:

$ sudo apt-get install skype:i386

> Los siguientes paquetes tienen dependencias incumplidas:
> libqtcore4:i386 : Depends: libglib2.0-0:i386 (>= 2.22.0) pero no va a instalarse

This was because a new version of the glib2.0 package was uploaded today, and had not yet built for i386. If you run 'apt-get update', you should now be able to run the command successfully.

crtm (carlosrtm) wrote :

Skype back and works fine! Thanks Vorlon

Rocko (rockorequin) wrote :

I get the following error when I try "apt-get install skype:i386":

Package skype:i386 is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'skype:i386' has no installation candidate

But I was able to install the 32 bit deb file downloaded from the Skype page.

crtm (carlosrtm) wrote :

rockorequin, try the solution recommended by Julian and Sacha, and the last tip from Vorlon:

Type in terminal (recommended to Julian and Sacha) :

~$ echo foreign-architecture i386 | sudo tee /etc/dpkg/dpkg.cfg.d/multiarch

~$ sudo apt-get install libxss1:i386 libqtcore4:i386 libqt4-dbus:i386

~$ sudo apt-get update

~$ sudo apt-get install skype:i386

Rocko (rockorequin) wrote :

Thanks, but I have already tried that. Multiarch was enabled in the upgrade to beta1, and those i386 libraries are already installed. But the apt-get install still tells me that there is no installation candidate for skype:i386.

On Sat, Sep 03, 2011 at 02:33:29AM -0000, Rocko wrote:
> But the apt-get install still tells me that there is no installation
> candidate for skype:i386.

Yes, if you don't have the Canonical Partner archive enabled on your system
but had instead downloaded the amd64 package from the skype website, this is
expected.

Rocko (rockorequin) wrote :

I do have the Canonical Partner archive enabled, but skype:i386 still doesn't show up in Synaptic.

Steve Langasek (vorlon) wrote :

Perhaps you have the canonical partner archive enabled for oneiric, and not for natty? There is no skype package in the partner archive yet for oneiric. This is expected to be made available in the next couple of weeks.

Rocko (rockorequin) wrote :

Yes, it's enabled for oneiric. Thanks, that is useful information. So I guess people installing from the liveCD won't see skype:i386 unless they manually downgrade the repository to point to natty.

Alessandro Losavio (alo21) wrote :

I still have the same problem. If I try to launch the program through terminal, I receive this error:

skype: error while loading shared libraries: libXss.so.1: cannot open shared object file: No such file or directory

Daniel Holm (danielholm) wrote :

Edited partner repo in sources.list from onieric to natty, then ran this:

$ echo foreign-architecture i386 | sudo tee /etc/dpkg/dpkg.cfg.d/multiarch
$ sudo apt-get install libxss1:i386 libqtcore4:i386 libqt4-dbus:i386
$ sudo apt-get update
$ sudo apt-get install skype:i386

Changed the partner repo back, and it works. Thanks.

Eugene Marshal (lowrider) wrote :

https://bugs.launchpad.net/ubuntu/+source/ia32-libs/+bug/830440/comments/8

Works fine on: skype: "error while loading shared libraries: libXss.so.1: cannot open shared object file: No such file or directory"

rduplain (ron.duplain) wrote :

For skype dependencies on oneiric, I had a minor correction to make, needing to run apt-get update after setting foreign architecture.

$ echo foreign-architecture i386 | sudo tee /etc/dpkg/dpkg.cfg.d/multiarch
$ sudo apt-get update
$ sudo apt-get install libxss1:i386 libqtcore4:i386 libqt4-dbus:i386
$ sudo apt-get install libqtgui4:i386

Thanks.

Daniele Dellafiore (ildella) wrote :

In natty the 64 b it skype .deb from skype web site worked nicely. Is this not working just cause Oneiric is still beta and does not have some repo enabled?

It's only in Oneiric. Multiarch support changed the way how i386 dependencies are provided.

CosminG (cosmingcosma) wrote :

I tryed the solution described above, but I get an error:
$ sudo apt-get install libxss1:i386 libqtcore4:i386 libqt4-dbus:i386
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 apache2.2-bin : Depends: libapr1 (>= 1.4.2) but it is not going to be installed
                 Depends: libaprutil1 (>= 1.3.2+dfsg) but it is not going to be installed
                 Depends: libaprutil1-dbd-sqlite3 but it is not going to be installed or
                          libaprutil1-dbd-mysql but it is not going to be installed or
                          libaprutil1-dbd-odbc but it is not going to be installed or
                          libaprutil1-dbd-pgsql but it is not going to be installed or
                          libaprutil1-dbd-freetds but it is not going to be installed
                 Depends: libaprutil1-ldap but it is not going to be installed
                 Depends: libldap-2.4-2 (>= 2.4.7) but it is not going to be installed
 apache2.2-common : Depends: apache2-utils but it is not going to be installed
 libqt4-dbus:i386 : Depends: libc6:i386 (>= 2.4) but it is not going to be installed
                    Depends: libdbus-1-3:i386 (>= 1.0.2) but it is not going to be installed
                    Depends: libgcc1:i386 (>= 1:4.1.1) but it is not going to be installed
                    Depends: libqt4-xml:i386 (= 4:4.7.4-0ubuntu1) but it is not going to be installed
                    Depends: libstdc++6:i386 (>= 4.1.1) but it is not going to be installed
                    Depends: qdbus:i386
 libqtcore4:i386 : Depends: libc6:i386 (>= 2.9) but it is not going to be installed
                   Depends: libgcc1:i386 (>= 1:4.1.1) but it is not going to be installed
                   Depends: libglib2.0-0:i386 (>= 2.22.0) but it is not going to be installed
                   Depends: libstdc++6:i386 (>= 4.6) but it is not going to be installed
                   Depends: zlib1g:i386 (>= 1:1.1.4) but it is not going to be installed
 libxss1:i386 : Depends: libc6:i386 (>= 2.1.3) but it is not going to be installed
                Depends: libx11-6:i386 but it is not going to be installed
                Depends: libxext6:i386 but it is not going to be installed
E: Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.

Francis J. Lacoste (flacoste) wrote :

CosminG: is your dpkg configured for multiarch?

You should have the line

foreign-architecture i386

in /etc/dpkg/dpkg.conf.d/multiarch

CosminG (cosmingcosma) wrote :

@flacoste yes I have but in /etc/dpkg/dpkg.cfg.d/multiarch (dpkg.cfg.d not dpkg.conf.d; I added the later folder and I have the same error)

crtm (carlosrtm) wrote :

Skype don't start enymore, after the last update (again!)

             Error:
                              :~$ skype
                                    bash: /usr/bin/skype: No existe el archivo o el directorio

The file realy exist's, but don't execute

I'm follow the solution recommended by Julian and Sacha, but don't work.

Mac (andrew-xiion) wrote :

The following worked for me:

sudo apt-get install libxss1:i386 libqt4-core:i386 libqt4-gui:i386 libdbus-1-3:i386

Source: http://community.skype.com/t5/Linux/latest-skype-not-working-on-ubuntu-11-10/td-p/104494

:)

Rainer Rohde (rainer-rohde) wrote :

Thanks Mac,

I am aware of that solution and it worked for me in Oneiric before; however, as of y'day's update, this doesn't work anymore (se below). Even the suggested "solution" by apt to run 'apt-get -f install' leads to another screen full of unmet dependencies. Now both the software center and update manager are 'broken' due to this and won't work anymore. I have to admit, this is a very buggy beta phase of an Ubuntu release.... Natty was pure gold - everything worked (suspend / hibernate, nice splash screen for nvidia users, and skype worked all the time!). This skype issue now is only the icing on the cake for me, as the issues of desktop freezes and windows becoming unresponsive after minimizing other windows is utterly despicable.

The following packages have unmet dependencies:
 libqt4-core:i386 : Depends: libqt4-dbus:i386 (= 4:4.7.4-0ubuntu2) but it is not going to be installed
                    Depends: libqt4-network:i386 (= 4:4.7.4-0ubuntu2) but it is not going to be installed
                    Depends: libqt4-script:i386 (= 4:4.7.4-0ubuntu2) but it is not going to be installed
                    Depends: libqt4-test:i386 (= 4:4.7.4-0ubuntu2) but it is not going to be installed
                    Depends: libqt4-xml:i386 (= 4:4.7.4-0ubuntu2) but it is not going to be installed
                    Depends: libqtcore4:i386 (= 4:4.7.4-0ubuntu2) but it is not going to be installed
 libqt4-gui:i386 : Depends: libqt4-designer:i386 (= 4:4.7.4-0ubuntu2) but it is not going to be installed
                   Depends: libqt4-opengl:i386 (= 4:4.7.4-0ubuntu2) but it is not going to be installed
                   Depends: libqt4-svg:i386 (= 4:4.7.4-0ubuntu2) but it is not going to be installed
                   Depends: libqtgui4:i386 (= 4:4.7.4-0ubuntu2) but it is not going to be installed
 libxss1:i386 : Depends: libc6:i386 (>= 2.1.3) but it is not going to be installed
                Depends: libx11-6:i386 but it is not going to be installed
                Depends: libxext6:i386 but it is not going to be installed
 skype:i386 : Depends: libasound2:i386 (> 1.0.17) but it is not going to be installed
              Depends: libc6:i386 (>= 2.7-1) but it is not going to be installed
              Depends: libgcc1:i386 (>= 1:4.3) but it is not going to be installed
              Depends: libqt4-dbus:i386 (>= 4.4.3) but it is not going to be installed
              Depends: libqt4-network:i386 (>= 4.4.3) but it is not going to be installed
              Depends: libqtcore4:i386 (>= 4.4.3) but it is not going to be installed
              Depends: libqtgui4:i386 (>= 4.4.3) but it is not going to be installed
              Depends: libstdc++6:i386 (>= 4.3) but it is not going to be installed
              Depends: libx11-6:i386 but it is not going to be installed
              Depends: libxext6:i386 but it is not going to be installed
              Depends: libxv1:i386 but it is not going to be installed
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).

Rainer Rohde (rainer-rohde) wrote :

I ran another apt-get update && apt-get dist-upgrade and lo and behold, the Skype issues were fixed. So please take my comment above (#33) with a grain of salt. :)

The fact alone that Skype's back is a reason for me to be very happy. I used a paid-for Skype account as my home phone and if that's not available, I have to boot into other operating systems, while all my other work is done in Ubuntu.

Download full text (4.6 KiB)

I just upgraded yesterday from natty to oneiric and skype still is a problem for me:

1.) using natty partner repo

sudo apt-get install skype:i386
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 skype:i386 : Depends: libqtgui4:i386 (>= 4:4.5.3) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

sudo apt-get install libqtgui4:i386
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 libqtgui4:i386 : Depends: libxrender1:i386 but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

sudo apt-get install libxrender1:i386
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 gnome-icon-theme : Depends: libgtk-3-bin but it is not going to be installed
                    Depends: librsvg2-common but it is not going to be installed
                    Depends: humanity-icon-theme but it is not going to be installed or
                             gnome-icon-theme-full but it is not going to be installed
 gnupg-agent : Depends: pinentry-gtk2 but it is not going to be installed or
                        pinentry-curses but it is not going to be installed or
                        pinentry
 libcairo2 : Depends: libxrender1 but it is not going to be installed
 libgtk-3-0 : Depends: libxcursor1 (> 1.1.2) but it is not going to be installed
              Depends: libxrandr2 (>= 2:1.2.99.3) but it is not going to be installed
              Recommends: libgtk-3-bin but it is not going to be installed
 libgtk2.0-0 : Depends: libxcursor1 (> 1.1.2) but it is not going to be installed
               Depends: libxrandr2 (>= 2:1.2.99.3) but it is not going to be installed
               Depends: libxrender1 but it is not going to be installed
               Recommends: libgtk2.0-bin
 libpango1.0-0 : Depends: libxft2 (> 2.1.1) but it is not going to be installed
                 Depends: libxrender1 but it is not going to be installed
 libwebkitgtk-3.0-0 : Depends: libxrender1 but it is not going to be installed
 x11-utils : Depend...

Read more...

Steve Langasek (vorlon) wrote :

On Wed, Sep 21, 2011 at 06:43:16AM -0000, hyper_ch wrote:
> I just upgraded yesterday from natty to oneiric and skype still is a
> problem for me:

> sudo apt-get install skype:i386
> Reading package lists... Done
> Building dependency tree
> Reading state information... Done
> Some packages could not be installed. This may mean that you have
> requested an impossible situation or if you are using the unstable
> distribution that some required packages have not yet been created
> or been moved out of Incoming.
> The following information may help to resolve the situation:

> The following packages have unmet dependencies:
> skype:i386 : Depends: libqtgui4:i386 (>= 4:4.5.3) but it is not going to be installed
> E: Unable to correct problems, you have held broken packages.

This is working in the common case; the error message at the end of this
suggests where you need to look - do you recall having put any packages on
hold? Those held packages seem to need updating at the same time as
installing the multiarch libraries.

'sudo apt-get -o Debug::pkgProblemResolver=true install skype:i386' may help
you pinpoint the problem, as might 'dpkg --get-selections | grep hold'.

--
Steve Langasek Give me a lever long enough and a Free OS
Debian Developer to set it on, and I can move the world.
Ubuntu Developer http://www.debian.org/
<email address hidden> <email address hidden>

Alessandro Losavio (alo21) wrote :

I have the same problem on Ubuntu 11.10 amd64 Beta2

Claudio Moretti (flyingstar16) wrote :

What about reintroducing libxss in the ia32libs?

Alessandro Losavio (alo21) wrote :

I solved the issue adding the source via Ubuntu Software Center, and installing Skype via Terminal "sudo apt-get install skype". All works well

Steve Langasek (vorlon) wrote :

On Sat, Sep 24, 2011 at 10:47:14AM -0000, Claudio Moretti wrote:
> What about reintroducing libxss in the ia32libs?

No. ia32-libs is deprecated, and any packages which can be installed via
multiarch must be installed using multiarch, not ia32-libs.

--
Steve Langasek Give me a lever long enough and a Free OS
Debian Developer to set it on, and I can move the world.
Ubuntu Developer http://www.debian.org/
<email address hidden> <email address hidden>

Same problem on 11.10 64-bit. From terminal:

skype: error while loading shared libraries: libasound.so.2: cannot open shared object file: No such file or directory

Download full text (4.9 KiB)

> 'sudo apt-get -o Debug::pkgProblemResolver=true install skype:i386' may help
> you pinpoint the problem, as might 'dpkg --get-selections | grep hold'.

Nothing on hold:

hyper@doubi:~$ sudo dpkg --get-selections | grep hold
hyper@doubi:~$

hyper@doubi:~$ sudo apt-get -o Debug::pkgProblemResolver=true install skype:i386 [10/1001]
Reading package lists... Done
Building dependency tree
Reading state information... Done
Starting
Starting 2
Investigating (0) libqtgui4 [ amd64 ] < 4:4.7.4-0ubuntu4 > ( libs )
Broken libqtgui4:amd64 Depends on libxrender1 [ amd64 ] < 1:0.9.6+git20100705.d3d20437-0ubuntu0sarvatt > ( libs )
  Considering libxrender1:amd64 28 as a solution to libqtgui4:amd64 1675
  Added libxrender1:amd64 to the remove list
  Fixing libqtgui4:amd64 via keep of libxrender1:amd64
Investigating (0) libxrender1 [ amd64 ] < 1:0.9.6+git20100705.d3d20437-0ubuntu0sarvatt > ( libs )
Broken libxrender1:amd64 Conflicts on libxrender1 [ i386 ] < none -> 1:0.9.6-2 > ( libs )
  Considering libxrender1:i386 5 as a solution to libxrender1:amd64 28
  Added libxrender1:i386 to the remove list
  Fixing libxrender1:amd64 via keep of libxrender1:i386
Investigating (0) libqtgui4 [ i386 ] < none -> 4:4.7.4-0ubuntu4 > ( libs )
Broken libqtgui4:i386 Depends on libxrender1 [ i386 ] < none -> 1:0.9.6-2 > ( libs )
  Considering libxrender1:i386 5 as a solution to libqtgui4:i386 5
  Holding Back libqtgui4:i386 rather than change libxrender1:i386
Investigating (0) libqt4-declarative [ i386 ] < none -> 4:4.7.4-0ubuntu4 > ( libs )
Broken libqt4-declarative:i386 Depends on libqtgui4 [ i386 ] < none -> 4:4.7.4-0ubuntu4 > ( libs ) (= 4:4.7.4-0ubuntu4)
  Considering libqtgui4:i386 5 as a solution to libqt4-declarative:i386 3
  Holding Back libqt4-declarative:i386 rather than change libqtgui4:i386
Investigating (0) sni-qt [ i386 ] < none -> 0.2.4-0ubuntu1 > ( x11 )
Broken sni-qt:i386 Depends on libqtgui4 [ i386 ] < none -> 4:4.7.4-0ubuntu4 > ( libs ) (>= 4:4.7.3)
  Considering libqtgui4:i386 5 as a solution to sni-qt:i386 2
  Holding Back sni-qt:i386 rather than change libqtgui4:i386
Investigating (0) libqt4-sql-mysql [ i386 ] < none -> 4:4.7.4-0ubuntu4 > ( libs )
Broken libqt4-sql-mysql:i386 Depends on libmysqlclient16 [ i386 ] < none -> 5.1.58-1ubuntu1 > ( libs ) (>= 5.1.50-1)
  Considering libmysqlclient16:i386 1 as a solution to libqt4-sql-mysql:i386 1
  Holding Back libqt4-sql-mysql:i386 rather than change libmysqlclient16:i386
Investigating (0) libdbusmenu-qt2 [ i386 ] < none -> 0.9.0-0ubuntu2 > ( libs )
Broken libdbusmenu-qt2:i386 Depends on libqtgui4 [ i386 ] < none -> 4:4.7.4-0ubuntu4 > ( libs ) (>= 4:4.7.0~beta2)
  Considering libqtgui4:i386 5 as a solution to libdbusmenu-qt2:i386 0
  Holding Back libdbusmenu-qt2:i386 rather than change libqtgui4:i386
Investigating (1) skype [ i386 ] < none -> 2.2.0.35-0oneiric2 > ( net )
Broken skype:i386 Depends on libqtgui4 [ i386 ] < none -> 4:4.7.4-0ubuntu4 > ( libs ) (>= 4:4.5.3)
  Considering libqtgui4:i386 5 as a solution to skype:i386 9998
  Re-Instated libqt4-declarative:i386
  Re-Instated libxrender1:i386
  Re-Instated...

Read more...

Steve Langasek (vorlon) wrote :

> Broken libqtgui4:amd64 Depends on libxrender1 [ amd64 ] < 1:0.9.6+git20100705.d3d20437-0ubuntu0sarvatt > ( libs )
> Considering libxrender1:amd64 28 as a solution to libqtgui4:amd64 1675
> Added libxrender1:amd64 to the remove list
> Fixing libqtgui4:amd64 via keep of libxrender1:amd64
> Investigating (0) libxrender1 [ amd64 ] < 1:0.9.6+git20100705.d3d20437-0ubuntu0sarvatt > ( libs )
> Broken libxrender1:amd64 Conflicts on libxrender1 [ i386 ] < none -> 1:0.9.6-2 > ( libs )

You have a local version of libxrender1 installed for amd64 that's newer than the version in the Ubuntu archive, and the corresponding i386 package is not available.

From the version number, I assume you installed this from a ppa, but that you did so by downloading the package manually instead of by adding the ppa to your apt sources.

If you need to keep this package installed (because it fixes some bug that affects your system when using the released version?), you can add the ppa to your system config using the 'add-apt-repository' command. Otherwise, you should probably downgrade to the released version by running:

 sudo apt-get install libxrender1/oneiric

after downgrading libxrender, you should be able to install skype with 'sudo apt-get install skype:i386'.

I do use the Kubuntu Team PPAs but I did not download and install packages manually.

Actually it's weird. Synaptic shows a whole lot of packages that were installed "manually". I guess I am wrong about what "manually" means? I thought it would be downloaded *.deb files to be installed by dpkg -i. But there's no way I did 1473 packages.

Anyway, forcing a downgrade helped.

Rainer Rohde (rainer-rohde) wrote :

It's really frustrating ... with each new update, the i386 libs needed for Skype are removed and Skype won't work anymore. I then re-install the required libs manually, and - lo and behold - the next Ubuntu upgrade tosses them out again. What's going on? Skype is really important for me to work, and before Oneiric Skype worked perfectly on my 64bit machine...

Steve Langasek (vorlon) wrote :

On Wed, Sep 28, 2011 at 01:49:04PM -0000, Rainer Rohde wrote:
> It's really frustrating ... with each new update, the i386 libs needed
> for Skype are removed and Skype won't work anymore. I then re-install
> the required libs manually, and - lo and behold - the next Ubuntu
> upgrade tosses them out again. What's going on?

You are not using the correct skype:i386 package for oneiric. If you were,
these libraries would not be removed on upgrade without also removing skype
itself (because they are dependencies).

Information about how to correctly install skype on Ubuntu 11.10 can be
found at:
   http://askubuntu.com/questions/7498/how-do-i-install-skype/62457

Gunnar Hjalmarsson (gunnarhj) wrote :

I had skype-ubuntu 2.2.0.35-1 for amd64 (downloaded from the Skype website) installed, and it worked fine - also in Oneiric - until a package update yesterday, when I run into similar problems as several others have described in this bug report. I also had http://repository.spotify.com in Software Sources to facilitate upgrading.

On 2011-09-28 17:39, Steve Langasek wrote:
> On Wed, Sep 28, 2011 at 01:49:04PM -0000, Rainer Rohde wrote:
>> It's really frustrating ... with each new update, the i386 libs needed
>> for Skype are removed and Skype won't work anymore. I then re-install
>> the required libs manually, and - lo and behold - the next Ubuntu
>> upgrade tosses them out again. What's going on?
>
> You are not using the correct skype:i386 package for oneiric. If you were,
> these libraries would not be removed on upgrade without also removing skype
> itself (because they are dependencies).
>
> Information about how to correctly install skype on Ubuntu 11.10 can be
> found at:
> http://askubuntu.com/questions/7498/how-do-i-install-skype/62457

Thanks for the info, Steve. It helped me get it working again.

However, that info does not play well with the guidance at the Skype website. For instance, at https://support.skype.com/en-us/faq/FA164/I-have-a-problem-downloading-Skype you find this para:

"Important: Only download the Skype install file from the Skype website. Do not download Skype from anywhere else. If you have downloaded a Skype install file but are unsure if it is from Skype, we suggest that you download it again from the Skype website."

It would be great IMO if the guidance at the Skype website included sufficient clarifications with respect to Oneiric users - possibly a link to that askubuntu.com page. Has somebody talked to them about it?

crtm (carlosrtm) wrote :

Today, after update, Skpye:i386 deleted automatic because is in a "black list"I'm install (mi Ubuntu is Oneiric 64 bit)
Reinstall the skype from website, but don't work for me. Terminal error is:

"skype: error while loading shared libraries: libXss.so.1: cannot open shared object file: No such file or directory"

crtm (carlosrtm) wrote :

Marco Cimmino in Skype blog (http://blogs.skype.com/linux/2011/04/2_2_beta.html) is a Linux UI developer at Skype, and "working to solve both small and large challenges for our penguin users every day", say's. I've send this message:

Oggi, dopo l'ultimo update (ho l'Ubuntu Oneiric 11.10)-lo so è beta!-, p (ero fino a ieri funzionava benissimo,
il messaggio d'errore che dal il terminale è:
              skype: error while loading shared libraries: libXss.so.1: cannot open shared object file: No such file or directory

Nel foro del launchpad ci sono tantissime richieste e possibili soluzione (https://bugs.launchpad.net/bugs/830440)
Ma nessuna sembra funzionare bene.
¿Qulalche idea?
Grazie comunque per il tuo lavoro!

Smeuuh (smeuuh) wrote :

Please reopen this bug. The issue here is that the i386 libs get removed after each update.

Rocko (rockorequin) wrote :

It's true. The i386 libs seem to get updated randomly. Right now I can't reinstall skype:i386 because its dependencies (like libqt4-opengl:i386) depend on a bunch of :i386 libraries (ie libqt4-dbus, libqt4-network, libqt4core4, libqtgui4) that haven't been updated yet to the necessary minimum version.

Alex Stansfield (casualgenius) wrote :

I upgraded from natty to oneiric beta 2 today and Skype is one of the problems I've encountered.

If I try and follow the instructions to installed the i386 libraries using apt-get it asks to remove ubuntu-desktop and unity (and a bunch of other things).

I saw that 64bit skype doesn't exist on oneiric and we should just install the 32bit version. I removed the version already installed and tried to install skype through software center, again it wanted to remove unity and ubuntu-desktop.

Steve Langasek (vorlon) on 2011-09-29
description: updated
Alex Stansfield (casualgenius) wrote :

Just to say, leading on from my previous comment, removing skype and installing the 32 bit version doesn't try to remove ubuntu-desktop or unity any more. Skype is now working fine.

Steve Langasek (vorlon) wrote :

On Thu, Sep 29, 2011 at 08:28:21AM -0000, Gunnar Hjalmarsson wrote:
> However, that info does not play well with the guidance at the Skype
> website. For instance, at https://support.skype.com/en-
> us/faq/FA164/I-have-a-problem-downloading-Skype you find this para:

> "Important: Only download the Skype install file from the Skype website.
> Do not download Skype from anywhere else. If you have downloaded a Skype
> install file but are unsure if it is from Skype, we suggest that you
> download it again from the Skype website."

This is generally very good advice. It's very important to make sure that
the software you're installing on your system is authentic, and skype is the
sort of program that's very high-profile and a likely target for malware
immitations.

Nevertheless, this recommendation is incorrect in the case of Ubuntu because
Canonical has an engagement with Skype that allows us to ship the skype
package in the Canonical Partner archive, and *unlike* downloads from the
Skype website, downloads from the Canonical archive are cryptographically
verified.

--
Steve Langasek Give me a lever long enough and a Free OS
Debian Developer to set it on, and I can move the world.
Ubuntu Developer http://www.debian.org/
<email address hidden> <email address hidden>

Steve Langasek (vorlon) wrote :

On Thu, Sep 29, 2011 at 09:42:27AM -0000, crtm wrote:
> Today, after update, Skpye:i386 deleted automatic because is in a "black
> list"

Please explain what you mean here. There should be no such blacklist as
part of Ubuntu.

--
Steve Langasek Give me a lever long enough and a Free OS
Debian Developer to set it on, and I can move the world.
Ubuntu Developer http://www.debian.org/
<email address hidden> <email address hidden>

Steve Langasek (vorlon) wrote :

On Thu, Sep 29, 2011 at 01:48:00PM -0000, Rocko wrote:
> It's true. The i386 libs seem to get updated randomly. Right now I can't
> reinstall skype:i386 because its dependencies (like libqt4-opengl:i386)
> depend on a bunch of :i386 libraries (ie libqt4-dbus, libqt4-network,
> libqt4core4, libqtgui4) that haven't been updated yet to the necessary
> minimum version.

Prior to release, the Ubuntu archive is still receiving updates to the
packages included. Since multiarch library installation requires the
package to be available at the same version across all architectures for
which it's installed, and since updates for each architecture may be built
and become available at slightly different times leading up to a release,
there will be points in time when it's not possible to install skype:i386
(and other such packages) on a development release.

However, I see that qt4 is currently up to date across amd64 and i386, so if
you refresh your package sources (e.g., by running apt-get update) and try
again, you should find that skype:i386 installs successfully.

Post-release, stable updates are published simultaneously to users across
all affected architectures via the -updates pocket. So once 11.10 has
released, you should always be able to install skype:i386 and keep it
installed.

--
Steve Langasek Give me a lever long enough and a Free OS
Debian Developer to set it on, and I can move the world.
Ubuntu Developer http://www.debian.org/
<email address hidden> <email address hidden>

crtm (carlosrtm) wrote :

Dear Steve, (Steve Langasek (vorlon) wrote on 2011-09-28:) Today, after the update, addressed the window that said something referred to Skype is on a "blacklist" until problems are resolved dependencies. The window is closing fast and I can not (don't now how) re-play the message. Thanks for your interest in solving the problem!

Georg H. (georg-mails) wrote :

I have the same behavior like #50

1) Check if skype is installed:
# dpkg -l skype:i386
Gewünscht=Unbekannt/Installieren/R=Entfernen/P=Vollständig Löschen/Halten
| Status=Nicht/Installiert/Config/U=Entpackt/halb konFiguriert/
         Halb installiert/Trigger erWartet/Trigger anhängig
|/ Fehler?=(kein)/R=Neuinstallation notwendig (Status, Fehler: GROSS=schlecht)
||/ Name Version Beschreibung
+++-==============-==============-============================================
ii skype:i386 2.2.0.35-0onei VOIP and instant messaging client

2.1) Upgrade my system:

# apt-get upgrade
Reading package lists... Done
[...]
update-initramfs: Generating /boot/initrd.img-3.0.0-12-generic
Das folgende Paket verschwand von Ihrem System, da alle
Dateien von anderen Paketen überschrieben wurden:
  skype
Hinweis: Dies wird automatisch und absichtlich von dpkg durchgeführt.

=> Skype is replaced by another package (but why and which one?)

2.2) Install other packages has the same result:

# apt-get install appmenu-gtk:i386 libdbusmenu-glib4:i386 libdbusmenu-gtk4:i386
[...]
appmenu-gtk:i386 (0.3.0-0ubuntu1) wird eingerichtet ...
Trigger für libc-bin werden verarbeitet ...
ldconfig deferred processing now taking place
Das folgende Paket verschwand von Ihrem System, da alle
Dateien von anderen Paketen überschrieben wurden:
  skype
Hinweis: Dies wird automatisch und absichtlich von dpkg durchgeführt.

=> Skype is replaced by another package (but why and which one?)

3) Show package status:

# dpkg -l skype:i386
Gewünscht=Unbekannt/Installieren/R=Entfernen/P=Vollständig Löschen/Halten
| Status=Nicht/Installiert/Config/U=Entpackt/halb konFiguriert/
         Halb installiert/Trigger erWartet/Trigger anhängig
|/ Fehler?=(kein)/R=Neuinstallation notwendig (Status, Fehler: GROSS=schlecht)
||/ Name Version Beschreibung
+++-==============-==============-============================================
un skype:i386 <keine> (keine Beschreibung vorhanden)

4) But skype is still there:
:~$ ls -la /usr/bin/skype
-rwxr-xr-x 1 root root 21362968 2011-06-08 12:26 /usr/bin/skype

5) At this point all the dependencies between skype and all 32bit libs are gone. So apt want to "autoremove" them.

==> I think, there is something wrong with dpkg or with the skype package. Thanks!

Rainer Rohde (rainer-rohde) wrote :

Here's another issue that I came across today after the recent batch of updates. The Skype context menu has "lost" the "Activate" option. So when Skype is closed (no longer displayed in the launcher) and sits in the panel on top of the screen, I can no longer get to it now. I can get to its options, but not to my actual contact list to make calls. Yesterday it worked just fine...

Gunnar Hjalmarsson (gunnarhj) wrote :

I have encountered the same issue as Rainer.

Steve Langasek (vorlon) wrote :

On Fri, Sep 30, 2011 at 12:53:54PM -0000, Georg H. wrote:
> 1) Check if skype is installed:
> # dpkg -l skype:i386
> Gewünscht=Unbekannt/Installieren/R=Entfernen/P=Vollständig Löschen/Halten
> | Status=Nicht/Installiert/Config/U=Entpackt/halb konFiguriert/
> Halb installiert/Trigger erWartet/Trigger anhängig
> |/ Fehler?=(kein)/R=Neuinstallation notwendig (Status, Fehler: GROSS=schlecht)
> ||/ Name Version Beschreibung
> +++-==============-==============-============================================
> ii skype:i386 2.2.0.35-0onei VOIP and instant messaging client

> 2.1) Upgrade my system:

> # apt-get upgrade
> Reading package lists... Done
> [...]
> update-initramfs: Generating /boot/initrd.img-3.0.0-12-generic
> Das folgende Paket verschwand von Ihrem System, da alle
> Dateien von anderen Paketen überschrieben wurden:
> skype
> Hinweis: Dies wird automatisch und absichtlich von dpkg durchgeführt.

> => Skype is replaced by another package (but why and which one?)

Please show the output of this command on your system:

dpkg -l skype

> ==> I think, there is something wrong with dpkg or with the skype
> package. Thanks!

Yes, I think you're seeing a dpkg bug - one I've seen before but that I had
thought we'd avoided.

--
Steve Langasek Give me a lever long enough and a Free OS
Debian Developer to set it on, and I can move the world.
Ubuntu Developer http://www.debian.org/
<email address hidden> <email address hidden>

Georg H. (georg-mails) wrote :

During my last upgrade the same behavior again..

# apt-get upgrade
[...]
Es wurden 26,7 MB in 13s geholt (1.993 kB/s)
Extrahiere Vorlagen aus Paketen: 100%
(Lese Datenbank ... 127169 Dateien und Verzeichnisse sind derzeit installiert.)
Vorbereitung zum Ersetzen von lib32asound2 1.0.24.1-0ubuntu9 (durch .../lib32asound2_1.0.24.1-0ubuntu10_amd64.deb) ...
Ersatz für lib32asound2 wird entpackt ...
(Verschwinden von skype:i386 wurde bemerkt, welches komplett ersetzt wurde.)
Vorbereitung zum Ersetzen von libasound2:i386 1.0.24.1-0ubuntu9 (durch .../libasound2_1.0.24.1-0ubuntu10_i386.deb) ...
libasound2 wird de-konfiguriert ...
[...]

# dpkg -l skype
[...]
||/ Name Version Beschreibung
+++-==============-==============-============================================
rc skype 2.2.0.35-1 Skype

-> This is the old entry from the original skype 64bit-package which I've tried before.

After upgrade:
# dpkg -l skype:i386
[...]
+++-==============-==============-============================================
un skype:i386 <keine> (keine Beschreibung vorhanden)

I hope that helps....

@ Georg H.: I had the same behaviour as you described in comment #50. It was caused by the 64-bit version of Skype being previously installed.

Try to remove/purge skype:amd64 and clean the apt cache afterwards. Then install skype:i386 only.

Steve Langasek (vorlon) wrote :

On Fri, Sep 30, 2011 at 05:47:08PM -0000, Georg H. wrote:
> # dpkg -l skype
> [...]
> ||/ Name Version Beschreibung
> +++-==============-==============-============================================
> rc skype 2.2.0.35-1 Skype

> -> This is the old entry from the original skype 64bit-package which
> I've tried before.

Right.

Please do:

 sudo dpkg --purge skype
 sudo apt-get install skype:i386

This is definitely a dpkg bug.

--
Steve Langasek Give me a lever long enough and a Free OS
Debian Developer to set it on, and I can move the world.
Ubuntu Developer http://www.debian.org/
<email address hidden> <email address hidden>

Steve Langasek (vorlon) wrote :

> This is definitely a dpkg bug.

Filed as bug #863675.

crtm (carlosrtm) wrote :

Fix confirmed with Skype: it runs fine after latest update today. Thanks!

Georg H. (georg-mails) wrote :

@ Steve and Christian: Thank You for your advice. The workaround is the solution of my problem.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers